Subject: Re: bug#78099: [PATCH] Make 'project-remember-project' interactive

From: Dmitry Gutov <[email-masked]>
Date: Mon, 28 Apr 2025 03:35:23 +0300

On 28/04/2025 03:29, Elijah Gabe Pérez wrote:
> For example, visiting a new file (usually with `find-file') or importing
> and opening a new project, you cannot be sure if it is already in the
> project--list (or it was not added to project-list) unless you do
> `project-switch-project' (which automatically index it), projectile have
> a similar behavior (projectile-auto-update-cache), but it's very slow, so
> one way i had to mimic this is this way.

You're right. For it to be added to the list, you'd have to invoke a 
command in it which uses projects at least once (for example, 
project-find-file, 'C-x p f').

Not necessary to use project-switch-project, any command that calls 
(project-current t) will do.